Package org.spongepowered.asm.launch

## Class GlobalProperties.Keys

- java.lang.Object
- - org.spongepowered.asm.launch.GlobalProperties.Keys

Enclosing class:
  GlobalProperties

    public static final class GlobalProperties.Keys
    extends java.lang.Object

Global property keys

### Field Summary

Fields
`static GlobalProperties.Keys` `AGENTS`
`static GlobalProperties.Keys` `CONFIGS`
`static GlobalProperties.Keys` `FML_CORE_MOD_MANAGER`
`static GlobalProperties.Keys` `FML_GET_IGNORED_MODS`
`static GlobalProperties.Keys` `FML_GET_REPARSEABLE_COREMODS`
`static GlobalProperties.Keys` `FML_LOAD_CORE_MOD`
`static GlobalProperties.Keys` `INIT`
`static GlobalProperties.Keys` `PLATFORM_MANAGER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GlobalProperties.Keys` `of​(java.lang.String name)` Get or create a new global property key
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INIT

    public static final GlobalProperties.Keys INIT

#### AGENTS

    public static final GlobalProperties.Keys AGENTS

#### CONFIGS

    public static final GlobalProperties.Keys CONFIGS

#### PLATFORM_MANAGER

    public static final GlobalProperties.Keys PLATFORM_MANAGER

#### FML_LOAD_CORE_MOD

    public static final GlobalProperties.Keys FML_LOAD_CORE_MOD

#### FML_GET_REPARSEABLE_COREMODS

    public static final GlobalProperties.Keys FML_GET_REPARSEABLE_COREMODS

#### FML_CORE_MOD_MANAGER

    public static final GlobalProperties.Keys FML_CORE_MOD_MANAGER

#### FML_GET_IGNORED_MODS

    public static final GlobalProperties.Keys FML_GET_IGNORED_MODS

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### of

    public static GlobalProperties.Keys of​(java.lang.String name)

Get or create a new global property key

Parameters:
  `name` - name of key to get or create
Returns:
  new or existing key